<?php

	session_start();
	
	$repertoire =  $_POST["repertoire"]; 
	$base =  $_POST["base"];	
	$chemin =  $_POST["chemin"];	
	
	
	if( strlen($chemin) ==  "")
	{
		$path = $_SESSION['repertoire']; 
		chdir($path);
		if(file_exists($repertoire))
		{
			echo 2;			
		}
		else
		{
			mkdir($repertoire);
			echo 1;
		}
		
	}
	
	else
	{
	
		$path = $_SESSION['repertoire'] ."\\".$chemin; 
		// supprimer le dernier caractere : \
		$path = substr($path, 0, -1);
		chdir($path);

		/*$rep =  $base."\\".$chemin;
		//$rep = rtrim($rep);
		//echo $rep;
		//chdir($rep);*/
		
		if(file_exists($repertoire))
		{
			echo 2;
		}
		else
		{
			mkdir($repertoire);
			echo 1;
		}
	}

	
?>